// BarPlot.stories.tsx
import React from 'react';
import { Meta, Story } from '@storybook/react';
import SingleStackBarplot, { SingleStackBarplotProps } from '.';

const Component: Meta<typeof SingleStackBarplot> = {
  title: 'Visual charts/Charts/SingleStackBarplot',
  component: SingleStackBarplot,
  decorators: [(story) => <div style={{ width: '100%', height: '100vh' }}>{story()}</div>],
};

export default Component;

export const Nodes = {
  args: {
    title: 'Nodes:',
    data: [
      { name: 'Order', value: 250 },
      { name: 'Supplier', value: 20 },
      { name: 'Product', value: 15 },
      { name: 'Customer', value: 15 },
    ],
  },
};

export const Edges = {
  args: {
    title: 'Edges:',
    data: [
      { name: 'Actor', value: 3 },
      { name: 'Movie', value: 7 },
      { name: 'Director', value: 2 },
      { name: 'Producer', value: 5 },
      { name: 'Director Photography', value: 8 },
    ],
  },
};
