import React from 'react';
import { Meta } from '@storybook/react';
import WelcomeDatabase, { WelcomeDatabaseProps } from '.';

const Component: Meta<typeof WelcomeDatabase> = {
  title: 'Components/WelcomeDatabase',
  component: WelcomeDatabase,
  decorators: [(story) => <div className="w-full h-screen flex flex-row justify-center">{story()}</div>],
};

export default Component;

export const c4cData = {
  args: {
    nodes: [
      { name: 'Person', value: 151 },
      { name: 'Car', value: 74 },
      { name: 'Incident', value: 121 },
      { name: 'Address', value: 135 },
    ],
    edges: [
      { name: 'PERSON_OF', value: 281, from: 'Person', to: 'Incident' },
      { name: 'CAR_OF', value: 268, from: 'Car', to: 'Incident' },
      { name: 'AT', value: 121, from: 'Incident', to: 'Address' },
      { name: 'LIVES_AT', value: 281, from: 'Person', to: 'Address' },
    ],
  },
};
